<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackerHitCollectionIterator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_tracker_hit_collection_iterator.html">TrackerHitCollectionIterator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_tracker_hit_collection_iterator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackerHitCollectionIterator Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a08e6db403cf949688ab81082737d7012"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection_iterator.html#a08e6db403cf949688ab81082737d7012">TrackerHitCollectionIterator</a> (int index, const <a class="el" href="namespaceeic.html#ab9f95c29aac4f8117085a04065d3f2d3">TrackerHitObjPointerContainer</a> *collection)</td></tr>
<tr class="separator:a08e6db403cf949688ab81082737d7012"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19b05386e24ce213794a25aecc4bb9e0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection_iterator.html#a19b05386e24ce213794a25aecc4bb9e0">operator!=</a> (const <a class="el" href="classeic_1_1_tracker_hit_collection_iterator.html">TrackerHitCollectionIterator</a> &amp;x) const</td></tr>
<tr class="separator:a19b05386e24ce213794a25aecc4bb9e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69009d165d1b6f4bf106347d7eb8282b"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection_iterator.html#a69009d165d1b6f4bf106347d7eb8282b">operator*</a> () const</td></tr>
<tr class="separator:a69009d165d1b6f4bf106347d7eb8282b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75107e73bcdfc52aa96315df5d97f85b"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection_iterator.html#a75107e73bcdfc52aa96315df5d97f85b">operator-&gt;</a> () const</td></tr>
<tr class="separator:a75107e73bcdfc52aa96315df5d97f85b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54832211094204424e8ff720c69d3032"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_hit_collection_iterator.html">TrackerHitCollectionIterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection_iterator.html#a54832211094204424e8ff720c69d3032">operator++</a> () const</td></tr>
<tr class="separator:a54832211094204424e8ff720c69d3032"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00029">29</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a08e6db403cf949688ab81082737d7012"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08e6db403cf949688ab81082737d7012">&#9670;&nbsp;</a></span>TrackerHitCollectionIterator()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerHitCollectionIterator::TrackerHitCollectionIterator </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceeic.html#ab9f95c29aac4f8117085a04065d3f2d3">TrackerHitObjPointerContainer</a> *&#160;</td>
          <td class="paramname"><em>collection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00031">31</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a19b05386e24ce213794a25aecc4bb9e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19b05386e24ce213794a25aecc4bb9e0">&#9670;&nbsp;</a></span>operator!=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerHitCollectionIterator::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_hit_collection_iterator.html">TrackerHitCollectionIterator</a> &amp;&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00033">33</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_collection_8cc_source.html#l00098">operator*()</a>, <a class="el" href="_tracker_hit_collection_8cc_source.html#l00108">operator++()</a>, and <a class="el" href="_tracker_hit_collection_8cc_source.html#l00103">operator-&gt;()</a>.</p>

</div>
</div>
<a id="a69009d165d1b6f4bf106347d7eb8282b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69009d165d1b6f4bf106347d7eb8282b">&#9670;&nbsp;</a></span>operator*()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> eic::TrackerHitCollectionIterator::operator* </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00098">98</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<a id="a54832211094204424e8ff720c69d3032"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54832211094204424e8ff720c69d3032">&#9670;&nbsp;</a></span>operator++()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_hit_collection_iterator.html">TrackerHitCollectionIterator</a> &amp; eic::TrackerHitCollectionIterator::operator++ </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00108">108</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<a id="a75107e73bcdfc52aa96315df5d97f85b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75107e73bcdfc52aa96315df5d97f85b">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> * eic::TrackerHitCollectionIterator::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00103">103</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a></li>
<li>src/<a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
